ReferenceRest

List automation commands

Returns the public automation catalog shared by the Claude plugin, CLI, and direct API clients.

GET
/api/v1/commands

Returns the public automation catalog shared by the Claude plugin, CLI, and direct API clients.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://www.salestouch.io/api/v1/commands"
{
  "data": {
    "commands": [
      {
        "command_id": "string",
        "title": "string",
        "description": "string",
        "summary": "string",
        "visibility": "public",
        "risk": "read",
        "category": "linkedin",
        "default_permission": "allow",
        "when_to_use": "string",
        "risk_notes": [
          "string"
        ],
        "output_notes": [
          "string"
        ],
        "related_commands": [
          "string"
        ],
        "related_resources": [
          "string"
        ],
        "examples": [
          {
            "title": "string",
            "language": "string",
            "code": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}